Subject: RE: [Mip4] draft-ietf-mip4-gen-ext-03.txt

From: "Narayanan, Vidya" <[email-masked]>
Date: Thu, 2 Aug 2007 14:33:50 -0700

I think this is an overdue discussion (I'm also guilty of not having
participated in this discussion earlier).  There may be some
clarifications needed for getting the DHCP configuration options using
DHCP over the MIP tunnel and I think it is necessary to have that
discussion and document it appropriately.  Personally, I'd prefer
clearly documenting that instead of allowing the use of all the DHCP
options in MIP again. 

Further, in draft-ietf-mip4-gen-ext, the scenario of the DHCP server
being independent of the HA is not handled.  In order to support that,
it seems like the HA will need to act as a proxy DHCP client, when the
MN is requesting configuration information.  So, the draft currently
only seems to support the case where the relevant information is
available at the HA itself, which I don't think can be a universal
assumption.  And, as far as I know, a proxy DHCP client is not a
standard entity, although, there seem to be proprietary implementations
of it. 

On the other hand, if DHCP from the MN was tunneled through the MIP
tunnel, the HA may need to act as a DHCP Relay Agent, with a separate
DHCP server.  

Further, I'll note that this isn't a unique issue to MIP4 and would be
applicable to MIP6 as well.  There may be some further considerations
for MIP4 when using foreign agents. 

Vidya

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Tuesday, July 31, 2007 10:19 AM
> To: Jayshree Bharatia
> Cc: [email-masked]; [email-masked]; McCann Peter-A001034
> Subject: Re: [Mip4] draft-ietf-mip4-gen-ext-03.txt
> 
> Well, the statement is still valid. There is no document that 
> describes how to run DHCP over the Mobile IPv4 tunnel. (it 
> may be obvious to some folks but not to all).
> 
> I guess what we need to decide is whether we want a document 
> that describes how to run DHCP over the Mobile IPv4 tunnel or 
> still go with the mechanism described in draft-ietf-mip4-gen-ext.
> 
> Vijay
> 
> Jayshree Bharatia wrote:
> > Hi Pete,
> > 
> > The proposal in this draft was always considered as an alternative 
> > over DHCP. There was never an intent saying that the mechanism 
> > discussed in this draft is the only way to exchange configuration 
> > information between two Mobile IP entities. This draft has 
> been there 
> > for a long time and honestly, I have lost track of who 
> provided which 
> > comment which resulted in the statement you quoted.
> > 
> > We have already gone through multiple WGLC on this draft 
> and I don't 
> > necessary agree on the change of status at this time.
> > 
> > Regards,
> > Jayshree
> > 
> > -----Original Message-----
> > From: McCann Peter-A001034 [mailto:[email-masked]]
> > Sent: Tuesday, July 31, 2007 9:01 AM
> > To: [email-masked]; [email-masked]
> > Subject: [Mip4] draft-ietf-mip4-gen-ext-03.txt
> > 
> > 
> > A question has arisen during the last call for 
> > draft-ietf-mip4-gen-ext-03.txt.
> > 
> > The draft includes the following text:
> > 
> >     There are mechanisms
> >     such as DHCP for the mobile node to configure 
> information from the
> >     foreign network, but not from the home network when the 
> mobile node
> >     is not attached to the home network.
> > 
> > However, this may not be strictly true.  In particular, it might be 
> > possible to use a DHCPINFORM message through the tunnel that was 
> > established with Mobile IP, thus eliminating the need to 
> encode DHCP 
> > options inside Mobile IP messages. This would allow for a single 
> > configuration protocol to be used whether the MN is at home or 
> > visiting.
> > 
> > I think we may have touched on this question during our last 
> > chartering discussion but we might not have explored all 
> the ramifications.
> > Please, if you have an opinion either way express it now 
> and give some 
> > background as to why you think so. It is possible that we 
> might turn 
> > this draft into a BCP-like document for how to configure 
> and run DHCP 
> > over the tunnel to the home network.
> > 
> > -Pete
> > 
> > 
> 
> 
> 
> --
> Mip4 mailing list: [email-masked]
>     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
>      Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/
> 

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/